class AwareDateTimeRequired(Exception):
    """
    A DateTime object that is aware of its timezone is required
    """

    pass


class AccessDenied(Exception):
    """
    Generalization of denied access
    """

    def __str__(self):
        return f"Access to {self.args[0] if self.args else 'unknown'} operation denied"
